! dcunits_com - common private data for dc_units module

module dcunits_com

    use dc_types, only: DOUBLE, TOKEN, STRING
    implicit none

    ! scannter symbols
    integer, parameter:: S_EOF = -1
    integer, parameter:: S_SHIFT = 300
    integer, parameter:: S_TEXT = 301

    ! scanner buffer
    character(STRING), save:: scan_line = ""
    integer, save:: scan_idx = 1

end module